%define name gentoo
%define version 0.9.22
%define release 1
%define serial 2

Summary: gentoo is a Gtk+ file manager for Linux.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: X11/Utilities
URL: http://www.obsession.se/gentoo
Vendor: Emil Brink <emil@obsession.se>
Source: ftp://ftp.obsession.se/gentoo/%{name}-%{version}.tar.gz
Distribution: Freshmeat RPMs
Requires: gtk+ >= 1.1.2
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /tmp/%{name}-%{version}

%description
gentoo is a file manager for Linux written from scratch in pure C. It
uses the GTK+ toolkit for all of its interface needs. gentoo provides
100%% GUI configurability; no need to edit config files by hand and re-
start the program. gentoo supports identifying the type of various
files (using extension, regular expressions, and/or the 'file' command),
and can display files of different types with different colors and icons.
	gentoo borrows some of its look and feel from the classic Amiga
file manager "Directory OPUS"(TM) (written by Jonathan Potter).

%prep
%setup -q

%build
make BIN=/usr/bin ICONS=/usr/lib/gentoo/ \
     PTH_CFG="'\"/usr/lib/gentoo/\"'" PTH_ICN="'\"icons:/usr/lib/gentoo/icons/\"'"

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/gentoo/icons,man/man1}
install -s -o 0 -g 0 -m 755 gentoo $RPM_BUILD_ROOT/usr/bin
install -o 0 -g 0 -m 644 gentoorc-example $RPM_BUILD_ROOT/usr/lib/gentoo
install -o 0 -g 0 -m 644 gentoorc-example $RPM_BUILD_ROOT/usr/lib/gentoo/gentoorc
install -o 0 -g 0 -m 644 icons/* $RPM_BUILD_ROOT/usr/lib/gentoo/icons
install -o 0 -g 0 -m 644 docs/gentoo.1x $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc docs BUGS COPYING FIXES INSTALL README README.gtkrc
%doc gentoogtkrc-example gentoorc-example
%attr(755,root,root) /usr/bin/gentoo
%dir /usr/lib/gentoo
%dir /usr/lib/gentoo/icons
%attr(644,root,root) %config /usr/lib/gentoo/gentoorc
%attr(644,root,root) /usr/lib/gentoo/gentoorc-example
%attr(644,root,root) /usr/lib/gentoo/icons/*
%attr(644,root,root) /usr/man/man1/gentoo.1x

%changelog
* Tue Jan 12 1999 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.9.22-1]
- Installing new manpage now
- Fixes in 0.9.22
- Added display of current line and percentage to text viewer.
- Added a GTK+ widget name ("cstPreview") to the CList used to
  preview panes in the File Styles config page.
- The textviewer now doesn't get all confused (and crash) if you
  are mean enough to close it while its Goto dialog is open.
- Added Search capabilities to the textviewer. Might not be the
  most intuitive search function you have ever used, but seems to
  work. For more information about how to use it, check out
  "docs/scratch/search_howto.txt".
- The dirpane position history now works even better, especially
  for cases where files have disappeared (right after Delete).
- Clicking the little "H"-button (to toggle "Hide Allowed?") now
  also activates the pane. Makes it less confusing.
- The "IQSize" dirpane column type now also has an option not
  to show the filesystem size for directories, just like the
  regular "Size" has. The "Blocks" content doesn't, though.
- Modified the File Types config so that now when you click Add,
  the new type appears just below the currently selected one. If
  there's no selection, it appears next-to-last. The list redrawing
  is (still) pretty much broken; I blame GTK+ for that...
- Changed order of things done at startup, so now it is possible
  to specify a GTK+ RC path of "~". This used to fail.
- Added a "run_file" user command example, since many (2) people
  have asked how to define one of those... Was it so hard? :^)
- Added the command-line option "--no-rc" which causes gentoo to
  skip loading its config file (.gentoorc). For reasons of
  symmetry, I also added the "--no-gtkrc" flag, which does the
  obvious thing.
- Inspired by the man-page written by Josip Rodin (maintainer of
  the Debian Linux package of gentoo), I finally do 'man 7 man'
  and write up one of my own. You can find it in "docs/gentoo.1x".
- Replaced the ".." label on the DirParent-button (left of path
  entry widget in panes) with a specially crafted icon. Might
  be clearer in meaning and easier to spot.
- Added a File Type (and Style) for Perl source code...
- Moved the XPM files that are compiled into the program into
  their own directory (graphics/) so they're less in my way. :)

* Wed Jan  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.9.21-1]
- Fixes in 0.9.21
- Fixed a huge bug in the creation of the default button rows. The
  same row was added twice to a list, causing great confusion in
  the memory management routines when attempting to free it...
- The Type configuration page now shows the icon as well as the
  name of the corresponding Style. Looks kind'a neat. :^)
- Added an option to blank out the "Size" column for directories,
  until you run GetSize on them. The option is in the column-
  specific dialog (click "Edit" with the Size-column selected on
  the Dir Pane config tab).
- If a config change caused the dirpanes to rebuild, they would
  lose the indication of which was current. Fixed.
- The Mode-column now also shows type and the setuid, setgid and
  sticky bits, using (I think) the same format as GNU ls. This
  format is highly magic. Because of the way in which gentoo currently
  treats links, they will never be shown as links by Mode. Sorry.
- Oh, darn. It seems that I accidentally disabled all {}-codes in
  0.9.20. Major oops. Fixed.
- The vertical position memory for dirpanes had somehow stopped
  working (I didn't touch it, I promise!) too. Fixed that as well.
  That is really a fragile kludge, but I like it so much that I'll
  try and keep it...
- Added some glitz to the text viewing window used by the ViewText
  and ViewHex commands. A few of the buttons are ghosted out; these
  have not been implemented yet (left in to show what's coming).
- The overwrite-confirmation requester (and all other dialogs using
  the same underlying code) is now automatically raised, which should
  reduce confusion between it and e.g. the progress reporting window.
- Replaced the HTML documentation with a version that is sanctioned
  by one of Obsession's web-professionals (<ulf@obsession.se>). It
  sure has the looks, but the content is still outdated. :( Sorry.

* Mon Jan  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.9.20-1]
- Fixes in 0.9.20
- Removed -Wsign-compare from the CFLAGS, since it's not supported
  on older (2.7.x, I believe) versions of gcc. It seems I'm not the
  last person to upgrade (I'm now running 2.8.1)... ;^)
- The cfg_buttons.c module didn't compile on Red Hat systems. Of
  course, 0.9.19 was released without testing on RH first. :(
- Made sure "gentoo.h" is included first in all modules, which is
  really a must.
- Added inclusion of <stdlib.h> to some places, where it was
  obviously needed. As usual, I don't have any problems at all with
  this, but users running RH indeed have... Hm.
- Updated the icons/ directory with Johan's latest creations. You
  can find more at <http:/http://www.dsv.su.se/~j-hanson/>.
- Um... Thought I found a race-condition bug in the command-running
  code, but couldn't find it before it magically disappeared. :(
- Possibly fixed a bug that has been here since the first release,
  making gentoo have problems with empty directories. It turns out
  that the implementation of realloc() I have on my system doesn't
  work as the man-page says it should. :(
- The Copy command (and therefore, indirectly, parts of the CopyAs,
  Clone, Move and MoveAs commands) now always checks the size of a
  file before starting to copy it. It used to rely on the value in
  the pane, which is not always up to date. The new size, if any,
  will *not* appear in the pane. It will just be silently used. If
  you don't like this, create user command wrappers for each of these
  commands that first does a DirRescan, then runs the command in
  question (e.g. Copy).
- Wrote up a short tutorial/howto on how to define user commands.
  You can find it in docs/scratch/command_howto.txt. Cleaned up
  the docs/scratch directory while I was at it.
- The user command parser now has rudimentary support for quoting
  portions of the definition. Use double quotes. Quotes override
  everything, so you can't use {}-codes inside quoted portions. :(

* Sat Dec 19 1998 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.9.18-1]
- Fixes in 0.9.18
  * Capitalized A Couple Of Words in the selection dialog...
  * Example config now understands PDF files (and you can view them,
    if you have AcroRead installed).
  * Fixed a bug in the directory history, where it could sometimes
    set the pane vertical position from random data on newly entered
    directories! Yuck. Reported by Johan Hanson, the icon wiz.
  * Added recognition of JPEG images to the config...
  * Now uses the latest version of Johan's icon package, in icons/.
    Check out those new image-icons! Also uses the "Bad.xpm" icon
    as the built-in icon for load-failure (in "icon_failed.xpm").
  * Removed the explicit priority field from file types. The
    priority is now simply taken from the type's list position. Added
    up and down arrows in config page for easy adjustment. Makes the
    handling of types more consistent with other things, but loses the
    automatic sorting...
  * Implemented a per-pane adjustable configuration flag, that controls
    whether the pane cares about file hiding or not. Connected this to
    another "secret" keyboard shortcut: try pressing 'h'...
  * Tidied up the command interface to the configuration window, and
    added a "ConfigureSave" command in the process. Don't hold your
    breath for a loader, though...
  * Added true GTK+ widget names to the pane column lists. Now the
    supplied GTK+ RC file only sets the fonts there, rather than in
    ALL CLists. Neat. Updated README.gtkrc accordingly.
  * Changed the order of the config pages somewhat, making them some-
    what more logical (or something).
  * Fixed a potential memory-leak when deleting types, and also made
    it select a new current type after deleting, which is nice.
  * The children.c module now uses the POSIXly correct API for dealing
    with signals. Since POSIX signals are supposedly reliable, this
    might work better. Some testing on Solaris actually seems to
    support this theory, too. Good.
  * The output capture window no longer opens before there's some-
    thing to show. This has the interesting (?) side effect that if
    there is no output, it never shows up at all, which is nice.
  * The GTK+ Text widget used by gentoo now has a name, which allows
    you to control its look through the GTK+ RC file. See example.
  * Removed the progress reporting for the Delete command, since I
    really didn't like the way it behaved (I'm surprised nobody has
    complained).
  * The command selection dialog (used by the Run command and when
    setting up actions) now remembers collapsed/expanded states for
    its two subtrees. No saving, though.
  * Added a Zip-disk size template to the Split command.
  * Fixed the UnselectFirst command, which didn't refresh correctly.
  * Improved the behaviour of the vertical position history when the
    number of rows in pane changes drastically. Not good, but better.
  * Polished up my str_snprintf() implementation... Safe (& shiny) now.
  * When capturing output, the viewing position of the widget is now
    forced to the top when output ends, rather than being random.
  * Changed the wording in the quit-confirm dialog slightly. :)
  * Changed the implementation of the ViewText command; it can now
    be used to look at files in the /proc filesystem (at least on
    Linux). Avoid kcore, though...
  * Added a ViewHex command, which (slowly) renders hex dumps.
  * Added a default value for the GTK+ RC path compile-time symbol.
  * Fixed a bug: fileutil.c thought that root could execute any file,
    regardless of x-flag.

* Wed Dec  9 1998 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.9.17-2]
- Fixed URL in RPM Header. (Thanx to all that noticed and mentioned
	this to me.)

* Tue Dec  8 1998 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.9.17-1]
- First RPM
- Fixes for 0.9.17
  * Damn! I hadn't tried to compile 0.9.16 on SunOS *before*
    releasing it, so of course it didn't compile. A quick fix, but
    incredibly stupid.
  * Damn again! I must have overwritten my "glib.h" at home with
    a 1.1.x version, or some such, because a couple of functions
    in the "dirhistory.c" module were defined with types from 1.1.x.
